Subject: [TR] Sports 6 throttle

From: Stephen Oertwig <[email-masked]>
Date: Mon, 2 Jun 2025 13:53:37 -0500

James — that looks similar to LHD 2000 linkage. It may even be similar to GT6. My Sports 6 has rod linkage. Heralds also have cable linkage, at least my RHD Heralds does. 
Steve Oertwig 
> 
> Message: 1
> Date: Tue, 27 May 2025 08:29:43 -0700
> From: James Scott <[email-masked]>
> To: [email-masked]
> Subject: [TR] I am seeking advice on 1962 Sports 6
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="utf-8"
> 
> To all of the experts on Sport 6.? I am in the process of connecting Stromberg 150CD carburetors as a replacement to the Solex setup.
> 
> I have the intake manifold to accept the Stromberg.? The issue is the throttle linkage and how to properly mount to accept a cable from LHD throttle pedal.
> 
> I started ed to make a bracket that will attach to the exhaust manifold to secure the throttle linkage.
> 
> A few photos included.
> 
> Thank you in advance for any recommendations.
> 
> James Scott
> Lakeport, California
> 
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]